Subject: Re: e100 "Ferguson" release

From: David Brownell <[email-masked]>
Date: Mon, 04 Aug 2003 10:38:17 -0700

David S. Miller wrote:
>
> For example, what do USB block device drivers do when -ENOMEM comes
> back?  Do they just drop the request on the floor?  No, rather they
> resubmit the request later without the scsi/block layer knowing
> anything about what happened, right?

I didn't notice any code to retry, but I did see some that morphed
ENOMEM into a generic scsi "error".  Scsi presumably does something
more or less intelligent then.

The network layer on the other hand _does_ have hooks for retrying,
not that they're used much.

- Dave